GET /api/fleet/outputs/{outputId}

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/outputs/{outputId}

Refer to Spaces for more information.

Get output by ID.

[Required authorization] Route required privileges: fleet-settings-read OR fleet-agent-policies-read.

Path parameters

  • outputId string Required

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • item object Required

      Any of:
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
  • 404 application/json

    Not Found

GET /api/fleet/outputs/{outputId}
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/outputs/{outputId}' \
 --header "Authorization: $API_KEY"
Response examples (200)
A Fleet output
{
  "item": {
    "hosts": [
      "https://elasticsearch.example.com:9200"
    ],
    "id": "output-id-1",
    "is_default": true,
    "is_default_monitoring": true,
    "name": "Default output",
    "type": "elasticsearch"
  }
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
Response examples (404)
No output was found with the given ID
{
  "error": "Not Found",
  "message": "Output output-id-1 not found",
  "statusCode": 404
}